"use strict";
const common_vendor = require("../../common/vendor.js");
const services_ams = require("../../services/ams.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "winnerList",
  setup(__props) {
    const openid = common_vendor.index.getStorageSync("openid");
    const list = common_vendor.ref([]);
    const getList = () => {
      services_ams.auditSuccessList({ openid }).then((res) => {
        list.value = res.rows;
      });
    };
    const onPayment = (data) => {
      if (data.processStatus != "3")
        return;
      services_ams.payment(data.id).then((res) => {
        if (res.code === 200) {
          common_vendor.index.showToast({ icon: "success", title: "提现成功" });
        } else {
          common_vendor.index.showToast({ icon: "none", title: "提现失败" });
        }
        getList();
      }).catch((err) => {
        common_vendor.index.showToast({ icon: "none", title: err.msg });
      });
    };
    common_vendor.onLoad(() => {
      getList();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list.value, (item, index, i0) => {
          return common_vendor.e({
            a: index === 0
          }, index === 0 ? {} : {}, {
            b: common_vendor.t(item.title),
            c: common_vendor.t(item.discountLevel),
            d: common_vendor.t(item.paymentAmount || 0),
            e: common_vendor.t(item.startTime),
            f: common_vendor.t(item.endTime),
            g: common_vendor.n(item.processStatus === "3" ? "active" : "static"),
            h: common_vendor.o(($event) => onPayment(item), item.id),
            i: item.id
          });
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1f9f7d73"]]);
wx.createPage(MiniProgramPage);
