import { defineStore } from "pinia";

import { getPhoneNumberInfo, getActivity } from "@/services/ams";

export const useInfoStore = defineStore("info", {
  state: () => ({
    // appid: uni.getStorageSync("appid"),
  }),
  getters: {
    isVerfyPhone(): boolean {
      return (
        uni.getStorageSync("phone") !== "" && uni.getStorageSync("appid") !== ""
      );
    },
  },
  actions: {
    getPhoneNumber(code: string) {
      getPhoneNumberInfo(code).then((res: any) => {
        console.log(res);
        uni.setStorageSync("phone", res.data);
      });
    },
  },
});
