import { getPhoneNumberInfo, getActivity } from "@/services/ams";
export const getNavTop = () => {
  // 1.获取屏幕可使用宽度
  let windowWidth = wx.getSystemInfoSync().windowWidth;
  // 2.获取状态栏高度
  const statusBarHeight = wx.getSystemInfoSync().statusBarHeight;
  // // 3.获取胶囊按钮位置信息
  const menuButton = wx.getMenuButtonBoundingClientRect();
  // 4.计算出导航栏高度  换算成rpx
  let navHeight =
    (menuButton.height + (menuButton.top - statusBarHeight) * 2) *
    (750 / windowWidth);
  // // 5.导航栏与状态栏拉开距离  margin-top: statusBarTop + 'rpx';
  const navTop = statusBarHeight * (750 / windowWidth);
  return navTop;
};
//旧版 const SYSTEM_INFO = uni.getSystemInfoSync();
const SYSTEM_INFO = uni.getWindowInfo();

//时间电量状态栏高度
export const getStatusBarHeight = () => SYSTEM_INFO.statusBarHeight;

export const getTitleBarHeight = () => {
  //关闭按钮胶囊
  if (uni.getMenuButtonBoundingClientRect) {
    let { top, height } = uni.getMenuButtonBoundingClientRect();
    return height + (top - getStatusBarHeight()) * 2;
  } else {
    return 0;
  }
};
export const getNavBarHeight = () => getStatusBarHeight() + getTitleBarHeight();

export const getNavBarPaddingTop = () => {
  if (uni.getMenuButtonBoundingClientRect) {
    let { top, height } = uni.getMenuButtonBoundingClientRect();
    return height + (top - getStatusBarHeight());
  } else {
    return 0;
  }
};

export const getActivityData = () => {
  const appid = uni.getStorageSync("appid");
  let isAuth = false;
  getActivity(appid)
    .then((res: any) => {
      const data = res.data[0] || {};
      uni.setStorageSync("activityData", JSON.stringify(data));
    })
    .catch((err) => {
      console.log(err);
    });

  return isAuth;
};

export const getMobile = async (code: string, path: string) => {
  const res: any = await getPhoneNumberInfo(code);
  try {
    uni.showToast({
      title: res.msg,
      icon: "success",
    });
    uni.setStorageSync("phone", res.data);
    if (path) {
      uni.navigateTo({
        url: path,
      });
    }
    return res.data;
  } catch (err: any) {
    uni.showToast({
      title: err.msg,
      icon: "none",
    });
  }
};

export const isGetPhone = () => {
  const data = JSON.parse(uni.getStorageSync("activityData")) || {};
  const authCheck = data?.authCheck.split(",") || [];
  const isCheck = authCheck.includes("1");
  const isPhone = !!uni.getStorageSync("phone");

  return isCheck && isPhone;
};
